# 
# Copyright (c) 2001 Butch Landingin 
# All rights reserved. Written by Butch Landingin <butchland@yahoo.com> 
# 
# Redistribution and use in source and binary forms, with or without 
# modification, are permitted provided that the following conditions 
# are met: 
#
# 1. Redistributions of source code must retain the above copyright 
#    notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright 
#    notice, this list of conditions and the following disclaimer in the 
#    documentation and/or other materials provided with the distribution. 
#
# 3. The name of the author may not be used to endorse or promote products 
#    derived from this software without specific prior written permission 
# 
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, 
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT 
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF 
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
#   
#  In accordance with the license provided for by the software upon 
#  which some of the source code has been derived or used, the following acknowledgement 
#  is hereby provided : 
# 
#      "This product includes software developed by the Zope Corporation 
#      for use in the Z Object Publishing Environment 
#      (http://www.zope.org/)." 
#  
# 
from LockableFolder import LockableFolder, addFolderForm, manage_addFolder
from Globals import ImageFile
import OFS

def initialize(registrar):
    registrar.registerClass(
        LockableFolder, 
        constructors = (addFolderForm, manage_addFolder),
        icon = 'images/locked_folder.gif'
        )
    registrar.registerHelp()


locked_item_img = ImageFile('images/locked_item.gif', globals())
locked_item_img.__roles__ = None
if not hasattr(OFS.misc_.misc_,'LockableFolder'):
    setattr(OFS.misc_.misc_,'LockableFolder',OFS.misc_.Misc_('LockableFolder',{}))
getattr(OFS.misc_.misc_,'LockableFolder')['locked_item.gif'] = locked_item_img
